ggiSetDisplayFrame(3ggi)

NAME
ggiSetDisplayFrame, ggiSetWriteFrame, ggiSetReadFrame, ggiGetDisplayFrame, ggiGetWriteFrame, ggiGetReadFrame - Set or get the current frame for display, writing and reading

SYNOPSIS
#include <ggi/ggi.h>

int ggiSetDisplayFrame(ggi_visual_t vis, int frameno);

int ggiSetWriteFrame(ggi_visual_t vis, int frameno);

int ggiSetReadFrame(ggi_visual_t vis, int frameno);

int ggiGetDisplayFrame(ggi_visual_t vis);

int ggiGetWriteFrame(ggi_visual_t vis);

int ggiGetReadFrame(ggi_visual_t vis); .SH "DESCRIPTION"

These functions are used for selecting or getting the current buffers, when using the multiple buffering function of LibGGI.

ggiSetDisplayFrame sets the frame that gets displayed.

ggiSetWriteFrame sets the frame for write operations such as ggiPuts and ggiHLine.

ggiSetReadFrame sets the frame for read operations, like ggiGetPixel and the ggiCrossBlit source.

ggiGetDisplayFrame reports the frame currently displayed.

ggiGetWriteFrame reports the frame currently written to.

ggiSetReadFrame reports the frame currently read from.

Frames are numbered from 0 to the number of frames requested - 1.

RETURN VALUE

The ggiSet*Frame functions return 0 if they succeed, and <0 if they fail.

The ggiGet*Frame functions never fail.